[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.IsWaiting

True if the application is waiting for a message event.

## Declaration

Source position: forms.pp line 1622

`public function TApplication.IsWaiting: Boolean;`

## Function result

True if the application is in AppWaiting state.

## Description

The return value is True when AppWaiting has been included in the Flags for the application.